Eclipse Platform Release 3.7

## org.eclipse.update.core
Interface ICategory

All Superinterfaces:
  IAdaptable

All Known Implementing Classes:
  Category

Deprecated. The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.

    public interface ICategory

extends IAdaptable

Feature category definition. A site can organize its features into categories. Categories can be further organized into hierarchies. Each category name is a composed of the name of its parent and a simple identifier separated by a slash ("/"). For example `tools/utilities/print` defines a category that is a child of `tools/utilities` and grandchild of `tools`.

Clients may implement this interface. However, in most cases clients should directly instantiate or subclass the provided implementation of this interface.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

Since:
  2.0
See Also:
  `Category`

Method Summary
`IURLEntry` `getDescription()` Deprecated. Retrieve the detailed category description
`String` `getLabel()` Deprecated. Retrieve the displayable label for the category
`String` `getName()` Deprecated. Retrieve the name of the category.

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Method Detail

### getName

    String getName()

  Deprecated.
  Retrieve the name of the category. The name can be a simple token (root category) or a number of slash-separated ("/") tokens.

  Returns:
    the category name
  Since:
    2.0

### getLabel

    String getLabel()

  Deprecated.
  Retrieve the displayable label for the category

  Returns:
    displayable category label, or `null`
  Since:
    2.0

### getDescription

    IURLEntry getDescription()

  Deprecated.
  Retrieve the detailed category description

  Returns:
    category description, or `null`
  Since:
    2.0

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.